Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 2843773002: HeadlessWebContents Observers for devtools clients attaching/detatching (Closed)

Created:
2 years, 4 months ago by alex clarke (OOO till 29th)
Modified:
2 years, 4 months ago
Reviewers:
Sami
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

HeadlessWebContents Observers for devtools clients attaching/detatching BUG=546953 Review-Url: https://codereview.chromium.org/2843773002 Cr-Commit-Position: refs/heads/master@{#467268} Committed: https://chromium.googlesource.com/chromium/src/+/ec1e14279dd9294f4640ea7fd67ea40532a572b0

Patch Set 1 #

Total comments: 4

Patch Set 2 : Added a test #

Unified diffs Side-by-side diffs Delta from patch set Stats (+56 lines, -1 line) Patch
M headless/lib/browser/headless_web_contents_impl.h View 3 chunks +9 lines, -1 line 0 comments Download
M headless/lib/browser/headless_web_contents_impl.cc View 1 2 chunks +16 lines, -0 lines 0 comments Download
M headless/lib/headless_devtools_client_browsertest.cc View 1 1 chunk +23 lines, -0 lines 0 comments Download
M headless/public/headless_web_contents.h View 1 chunk +8 lines, -0 lines 0 comments Download

Messages

Total messages: 14 (9 generated)
alex clarke (OOO till 29th)
2 years, 4 months ago (2017-04-25 16:16:18 UTC) #3
Sami
lgtm, although a test would be nice. https://codereview.chromium.org/2843773002/diff/1/headless/lib/browser/headless_web_contents_impl.cc File headless/lib/browser/headless_web_contents_impl.cc (right): https://codereview.chromium.org/2843773002/diff/1/headless/lib/browser/headless_web_contents_impl.cc#newcode199 headless/lib/browser/headless_web_contents_impl.cc:199: if (agent_host_) ...
2 years, 4 months ago (2017-04-25 18:31:13 UTC) #7
alex clarke (OOO till 29th)
I added a test. https://codereview.chromium.org/2843773002/diff/1/headless/lib/browser/headless_web_contents_impl.cc File headless/lib/browser/headless_web_contents_impl.cc (right): https://codereview.chromium.org/2843773002/diff/1/headless/lib/browser/headless_web_contents_impl.cc#newcode199 headless/lib/browser/headless_web_contents_impl.cc:199: if (agent_host_) On 2017/04/25 18:31:12, ...
2 years, 4 months ago (2017-04-26 08:11:07 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2843773002/20001
2 years, 4 months ago (2017-04-26 08:11:29 UTC) #11
commit-bot: I haz the power
2 years, 4 months ago (2017-04-26 08:34:43 UTC) #14
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/ec1e14279dd9294f4640ea7fd67e...

Powered by Google App Engine
This is Rietveld 408576698